Request

Response

    Invites
    GET

    invites/{inviteId}/certificates/{certificateId}/file

    Retrieves a short-lived signed URL for downloading a certificate file associated with the specified invite.

    The signed URL returned by this endpoint will expire after 2 minutes. You must begin the download before the URL expires, but the subsequent data transfer can take much longer.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/buildingconnected/v2/invites/{inviteId}/certificates/{certificateId}/file
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    * Required

    Request

    URI Parameters

    inviteId
    string
    The ID of the invite.
    certificateId
    string
    The ID of the certificate.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    name
    string
    The file’s name.
    signedUrl
    string
    A short-lived signed URL for downloading a certificate file.

    The signed URL returned by this endpoint will expire after 2 minutes. You must begin the download before the URL expires, but the subsequent data transfer can take much longer.

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/invites/:inviteId/certificates/:certificateId/file' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "name": "certificate.pdf",
      "signedUrl": "https://cdn.us.oss-staging.api.autodesk.com/oss/v2/signedresources/b023d80f-28a8-475a-94ad-6360705976d8?region=US&response-content-disposition=inline%3B%20filename%3D%22certificate.pdf%22"
    }